/*
 * ADDTHEME.CMD
 * version 1.0 (C) Christian Hennecke
 *
 * Script to add a theme to the eComStation iTheme Manager. 
 * Run from the theme directory.
 * 
 */
CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
CALL SysLoadFuncs
 
PARSE ARG themeindex

id = 'drwboard'
name = 'Drawingboard'
description = 'Inspired by the Drawingboard MacOS beta theme. Designed by David Graser and Christian Hennecke.'

rc = LINEOUT(themeindex, id || ';' || name || ';' || description)

IF rc == 0
  THEN SAY 'Theme index updated successfully.'
